Documentation Index
Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
Use this file to discover all available pages before exploring further.
Overview
Allows the client to get an item from the vault. It is only possible to retrieve items that have been stored using the same account.HTTP request
POST /Agent/Storage/GetFromVault
Authentication
Requires a valid JWT bearer token.Request (JSON)
Input parameters
| Parameter | Description |
|---|---|
| PVaultId | Identifier of the vault item to retrieve. |
| PMasked | If the masked information should be retrieved (true) or the full information (false). |
Response (JSON)
Response parameters
| Parameter | Description |
|---|---|
| PCreated | When the vault item was first created. |
| PUpdated | When the vault item was last updated. |
| PType | An optional type string. Client can define type strings to separate different types of information into different items. |
| PClientId | An optional Client Identifier used by the agent to separate sensitive information between clients it serves. |
| PVaultId | The identifier of the vault item. |
| PName | The name of the information tag. |
| PValue | The value or masked value of the information tag, depending on PMasked. |